Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 599)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 600)
@@ -1997,10 +1997,6 @@
 		resetRightTableColumnWidths();
 	}
 
-	@Override
-	public Concordance getResultData() {
-		return concordance;
-	}
 
 	public Composite getExtensionButtonComposite() {
 		// TODO Auto-generated method stub
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPPreferences.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPPreferences.java	(revision 599)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPPreferences.java	(revision 600)
@@ -1,7 +1,5 @@
 package org.txm.searchengine.cqp;
 
-import java.io.File;
-
 import org.eclipse.core.runtime.preferences.DefaultScope;
 import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/cmdparameters/ParametersView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/cmdparameters/ParametersView.java	(revision 599)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/cmdparameters/ParametersView.java	(revision 600)
@@ -90,10 +90,14 @@
 			TXMEditorPart reditor = (TXMEditorPart)editor;
 			StringBuffer buffer = new StringBuffer();
 			TXMResult result = reditor.getResultData();
-			buffer.append(""+result.toString()+"\n");
-			buffer.append(""+result.getDetails()+"\n\n");
+			buffer.append("Result: " + result.toString() + "\n");
+			buffer.append("UUID: " + result.getUUID() + "\n");
+			buffer.append("Simple name: " + result.getSimpleName() + "\n");
+			buffer.append("Name: " + result.getName() + "\n");
+			buffer.append("Valid filename: " + result.getValidFileName() + "\n");
+			buffer.append("Details: " + result.getDetails() + "\n\n");
+			
 
-
 			try {
 				// Command preferences
 				buffer.append(result.dumpPreferences());
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java	(revision 599)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java	(revision 600)
@@ -3,6 +3,11 @@
  */
 package org.txm.rcp.editors;
 
+import java.lang.reflect.Field;
+import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.List;
+
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Status;
@@ -18,6 +23,8 @@
 import org.eclipse.swt.widgets.Menu;
 import org.eclipse.swt.widgets.Spinner;
 import org.eclipse.swt.widgets.TableColumn;
+import org.eclipse.swt.widgets.Text;
+import org.eclipse.swt.widgets.ToolItem;
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.IWorkbenchPage;
@@ -27,6 +34,7 @@
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.menus.IMenuService;
 import org.eclipse.ui.part.EditorPart;
+import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMResult;
 import org.txm.rcp.JobsTimer;
 import org.txm.rcp.StatusLine;
@@ -368,7 +376,8 @@
 						this.syncExec(new Runnable() {
 							@Override
 							public void run() {
-								currentEditor.updateResultFromEditor();
+								currentEditor.autoUpdateResultFromEditorParameters(); // auto update from Parameter annotations
+								currentEditor.updateResultFromEditor(); // subclasses manual settings
 							}
 						});
 		    		}
@@ -518,7 +527,8 @@
 			this.setPartName(this.getResultData().getName());
 			firePropertyChange(TXMEditorPart.PROP_DIRTY);
 		}
-		this.updateEditorFromResult(update);
+		this.autoUpdateEditorFieldsFromResult(); // auto update from Parameter annotations
+		this.updateEditorFromResult(update);  // subclasses manual settings
 		CorporaView.refreshObject(this);
 	}
 	
@@ -534,7 +544,117 @@
 	 */
 	public abstract void updateEditorFromResult(boolean update);
 	
+	
+	
 	/**
+	 * Updates the editor fields from result and declared parameters annotations.
+	 * Manages these widgets at this moment: ToolItem, Spinner, Text.
+	 */
+	public void autoUpdateEditorFieldsFromResult()	{
+		
+		List<Field> fields = this.getAllParameterFields();
+
+		for (Field f : fields) {
+			Parameter parameter = f.getAnnotation(Parameter.class);
+			if (parameter == null || parameter.key().isEmpty()) {
+				continue;
+			}
+			
+			try {
+				f.setAccessible(true);
+				Object object = f.get(this);
+				Object value = this.getResultData().getParameter(parameter.key());
+				if(object instanceof ToolItem)	{
+					((ToolItem)object).setSelection((Boolean) value); 
+				}
+				else if(object instanceof Spinner)	{
+					((Spinner)object).setSelection((Integer) value); 
+				}
+				else if(object instanceof Text)	{
+					((Text)object).setText((String) value); 
+				}
+			}
+			catch (IllegalArgumentException e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+			catch (IllegalAccessException e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+			catch (Exception e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+		}
+	}
+
+	
+	/**
+	 * Updates the result parameters from the editor declared parameters annotations.
+	 * Manages these widgets at this moment: ToolItem, Spinner, Text.
+	 */
+	public void autoUpdateResultFromEditorParameters()	{
+		
+		List<Field> fields = this.getAllParameterFields();
+
+		for (Field f : fields) {
+			Parameter parameter = f.getAnnotation(Parameter.class);
+			if (parameter == null || parameter.key().isEmpty()) {
+				continue;
+			}
+			
+			try {
+				f.setAccessible(true);
+				Object object = f.get(this);
+				Object value = null;
+				if(object instanceof ToolItem)	{
+					value = ((ToolItem)object).getSelection(); 
+				}
+				else if(object instanceof Spinner)	{
+					value = ((Spinner)object).getSelection(); 
+				}
+				else if(object instanceof Text)	{
+					value = ((Text)object).getText(); 
+				}
+				
+				this.getResultData().setParameter(parameter.key(), value);
+			}
+			catch (IllegalArgumentException e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+			catch (IllegalAccessException e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+			catch (Exception e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+		}
+	}
+	
+	
+	/**
+	 * Returns all the member fields of the class instance.
+	 * @return
+	 */
+	protected List<Field> getAllParameterFields()	{
+
+		List<Field> fields = new ArrayList<Field>();
+		Class<?> clazz = this.getClass();
+		while (clazz != Object.class) {
+			fields.addAll(Arrays.asList(clazz.getDeclaredFields()));
+			clazz = clazz.getSuperclass();
+		}
+
+		return fields;
+
+	}
+
+	
+	/**
 	 * Deletes the linked TXM result.
 	 * @return
 	 */
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 599)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 600)
@@ -57,7 +57,9 @@
 import org.eclipse.swt.widgets.Spinner;
 import org.eclipse.swt.widgets.TableColumn;
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.results.Parameter;
 import org.txm.lexicaltable.core.functions.LexicalTable;
+import org.txm.lexicaltable.core.preferences.LexicalTablePreferences;
 import org.txm.lexicaltable.core.statsengine.data.ILexicalTable;
 import org.txm.lexicaltable.rcp.handlers.MergeLines;
 import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
@@ -97,12 +99,6 @@
 	TableViewerColumn freqColumn;
 	// org.eclipse.swt.widgets.List colCombo;
 
-	/** The minfreqspinner. */
-	Spinner minFreqSpinner;
-
-	/** The top spinner. */
-	Spinner nLinesSpinner;
-
 	/** The cols. */
 	private List<double[]> cols;
 
@@ -121,6 +117,19 @@
 	boolean reverse = DEFAULTREVERSE;
 
 
+	
+	/** The minfreqspinner. */
+//	@Parameter(key=LexicalTablePreferences.F_MIN)
+	Spinner minFreqSpinner;
+
+	/** The top spinner. */
+//	@Parameter(key=LexicalTablePreferences.V_MAX)
+	Spinner nLinesSpinner;
+
+
+	
+	
+	
 	/**
 	 * Creates the part control.
 	 *
@@ -623,7 +632,6 @@
 		
 		this.refreshTable();
 		this.refreshInfos();
-		//super.refresh(update);
 		
 		QueriesView.refresh();
 		RVariablesView.refresh();
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 599)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 600)
@@ -20,7 +20,7 @@
  * @author sjacquot
  *
  */
-public class SpecificitiesSelectionEditor extends ChartEditorPart {
+public class SpecificitiesSelectionEditor extends ChartEditorPart<SpecificitiesSelection> {
 
 
 	@Override
@@ -77,9 +77,4 @@
 		
 	}
 	
-	
-	@Override
-	public SpecificitiesSelection getResultData() {
-		return (SpecificitiesSelection) super.getResultData();
-	}
 }
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 599)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 600)
@@ -62,7 +62,7 @@
  * @author sloiseau 
  * 
  */
-public class SpecificitiesEditor extends TXMEditorPart {
+public class SpecificitiesEditor extends TXMEditorPart<Specificities> {
 
 	public final static String ID = SpecificitiesEditor.class.getName();
 
@@ -461,12 +461,7 @@
 		return this.viewer.getSelection();
 	}
 	
-	@Override
-	public Specificities getResultData()	{
-		return (Specificities) super.getResultData();
-	}
 
-
 	@Override
 	public void updateResultFromEditor() {
 		this.getResultData().setMaxScore(this.maxScore.getSelection());
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/editors/PartitionDimensionsEditor.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/editors/PartitionDimensionsEditor.java	(revision 599)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/editors/PartitionDimensionsEditor.java	(revision 600)
@@ -9,42 +9,54 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.ToolItem;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
+import org.txm.core.results.Parameter;
 import org.txm.partition.core.functions.PartitionDimensions;
+import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
 import org.txm.partition.rcp.messages.PartitionUIMessages;
 import org.txm.rcp.IImageKeys;
 
 /**
- * 
  * Partition dimensions chart editor.
  * @author sjacquot
  *
  */
 public class PartitionDimensionsEditor extends ChartEditorPart<PartitionDimensions> {
+
+
+	@Parameter(key=PartitionDimensionsPreferences.CHART_DIMENSIONS_SORT_BY_SIZE)
+	protected ToolItem sortByPartSize;
 	
+	
+	
 	@Override
 	public void createPartControl(Composite parent) {
 
 		this.createComputingParametersArea = false;
 		
 		super.createPartControl(parent);
-		
+
 		// extend the tool bar
 		new ToolItem(this.getToolBar(), SWT.SEPARATOR);
-		final ToolItem sortByPartSize = new ToolItem(this.getToolBar(), SWT.CHECK);
+		sortByPartSize = new ToolItem(this.getToolBar(), SWT.CHECK);
 		sortByPartSize.setImage(IImageKeys.getImage(this.getClass(), "icons/silk_sort_by_size.png"));
 		sortByPartSize.setToolTipText(PartitionUIMessages.PreferencesPage_DIMENSIONS_SORT_BY_PARTS_SIZE);
-		sortByPartSize.setSelection(this.getResultData().isSortingBySize());
+		//sortByPartSize.setSelection(this.getResultData().isSortingBySize());
 		
 		sortByPartSize.addSelectionListener(new SelectionListener() {
 			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				getResultData().setSortBySize(sortByPartSize.getSelection());
+//				getResultData().setSortBySize(sortByPartSize.getSelection());
 				compute(true);
 			}
 			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {
+				// TODO Auto-generated method stub
+				
+			}
 		});
 	}
+	
+	
 }
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 599)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 600)
@@ -1,9 +1,5 @@
 package org.txm.ca.rcp.editors;
 
-import java.awt.Component;
-import java.awt.event.ComponentEvent;
-import java.awt.event.ComponentListener;
-
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.custom.CLabel;
 import org.eclipse.swt.events.SelectionEvent;
@@ -16,7 +12,6 @@
 import org.txm.ca.rcp.messages.CAUIMessages;
 import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.IImageKeys;
 import org.txm.utils.logger.Log;
 
@@ -25,7 +20,7 @@
  * @author sjacquot
  *
  */
-public class CAFactorialMapChartEditor extends ChartEditorPart {
+public class CAFactorialMapChartEditor extends ChartEditorPart<CA> {
 
 
 	public CAFactorialMapChartEditor() {
@@ -219,12 +214,7 @@
 
 
 
-	@Override
-	public CA getResultData()	{
-		return (CA) super.getResultData();
-	}
 
 
 
-
 }
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 599)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 600)
@@ -117,7 +117,7 @@
 		for (int i = 0; i < selectedTypeNames.length; i++) {
 			name += selectedTypeNames[i] + " ";
 		}
-		if (name.length() > 20) name = name.substring(0, 19)+"...";
+		if (name.length() > 20) name = name.substring(0, 19) + "...";
 		return name;
 	}
 
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 599)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 600)
@@ -997,7 +997,7 @@
 	 */
 	public static String findNodeQualifier(String nodeQualifier, TXMResult result, String key)	{
 
-		if (result == null) return nodeQualifier;
+		//if (result == null) return nodeQualifier;
 		
 		boolean keyExists = (result != null && resultScopeKeyExists(result, key));
 
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 599)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 600)
@@ -221,7 +221,7 @@
 	 * @param parameterType
 	 * @return
 	 */
-	protected Object getParameter(String key) {
+	public Object getParameter(String key) {
 
 		List<Field> fields = this.getAllFields();
 
@@ -270,47 +270,41 @@
 	}
 
 
-	//
-	//		
-	//		
-	//		
-	//		if (key.isEmpty()) {
-	//			return false;
-	//		}
-	//		Object lastValue = this.lastComputingParameters.get(key);
-	//		Object newValue = getParameter(key);
-	//		if (lastValue == null && newValue != null) {
-	//			return true;
-	//		}
-	//		else {
-	//			return !lastValue.equals(newValue);
-	//		}
-	//	}
-
-
+	/**
+	 * Dumps the command and default preferences of the result preferences node qualifier.
+	 * @return
+	 */
 	public String dumpPreferences()	{
 
 		StringBuilder str = new StringBuilder();
 
-		str.append("Command preferences\n");
+		str.append("Command preferences\n"); //$NON-NLS-1$
 		str.append(TXMPreferences.getKeysAndValues(TXMPreferences.scope, this.preferencesNodeQualifier));
-		str.append("\nDefault preferences\n");
+		str.append("\nDefault preferences\n"); //$NON-NLS-1$
 		str.append(TXMPreferences.getKeysAndValues(DefaultScope.INSTANCE, this.preferencesNodeQualifier));
 
 		return str.toString();
 	}
 
-
+	/**
+	 * Dumps the result computing parameters (Parameter annotation).
+	 * @return
+	 */
 	public String dumpParameters()	{
 		return this.dumpParameters(Parameter.COMPUTING);
 	}
 
-
+	
+	/**
+	 * Dumps the result parameters (Parameter annotation) of the specified type.
+	 * @param parametersType
+	 * @return
+	 */
 	public String dumpParameters(int parametersType)	{
 
 		StringBuilder str = new StringBuilder();
 
-		str.append("Parameters (type = " + parametersType + " / " + Parameter.types[parametersType] + ")\n");
+		str.append("Parameters (type = " + parametersType + " / " + Parameter.types[parametersType] + ")\n"); //$NON-NLS-1$
 
 		List<Field> fields = new ArrayList<Field>();
 		Class<?> clazz = this.getClass();
@@ -335,7 +329,7 @@
 			}
 
 			try {
-				str.append(name + " = " + f.get(this) + "\n");
+				str.append(name + " = " + f.get(this) + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			catch (IllegalArgumentException e) {
 				// TODO Auto-generated catch block
@@ -547,22 +541,21 @@
 	 * 
 	 * @return
 	 */
-	// FIXME: need to implement here a generic way to save @Parameter
 	public boolean saveParameters() throws Exception {
-		Class clazz = this.getClass();
 
-		Field[] fields = clazz.getDeclaredFields();
+		List<Field> fields = this.getAllFields();
+		
 		for (Field f : fields) {
-			if (f.getClass().equals(Integer.class)) {
+//			if (f.getClass().equals(Integer.class)) {
+//
+//			}
 
-			}
-
 			Parameter parameter = f.getAnnotation(Parameter.class);
-			if (parameter == null || parameter.type() != Parameter.COMPUTING) {
+			if (parameter == null) {
 				continue;
 			}
 			String key = parameter.key();
-			if ("".equals(key)) {
+			if (key.isEmpty()) {
 				continue; // no preference key defined
 			}
 
@@ -675,14 +668,53 @@
 	public abstract boolean loadParameters() throws Exception;
 
 	/**
-	 * Initialize the @Parameter class members objects
+	 * Initializes the @Parameter class members objects
 	 * 
 	 * @param parameters
 	 * @return
 	 */
 	public abstract boolean setParameters(TXMParameters parameters) throws Exception;
 
+	
+
 	/**
+	 * Sets a parameters form its parameter annotation "key".
+	 * @param key
+	 * @param value
+	 * @return
+	 * @throws Exception
+	 */
+	public boolean setParameter(String key, Object value) throws Exception	{
+		
+		List<Field> fields = this.getAllFields();
+
+		Field targetField = null;
+		
+		for (Field f : fields) {
+			Parameter parameter = f.getAnnotation(Parameter.class);
+			if (parameter == null) {
+				continue;
+			}
+			if(!parameter.key().isEmpty() && parameter.key().equals(key))	{
+				targetField = f;
+				break;
+			}
+		}
+		
+		if(targetField != null)	{
+			targetField.setAccessible(true);
+			
+			// FIXME: debug
+			System.err.println("TXMResult.setParameter(); setting parameter " + key + " = " + value + " for " + this.getClass());
+			
+			targetField.set(this, value);
+		}
+		
+		
+		return true;
+	}
+	
+	/**
 	 * Deletes the object from its parent, also deletes the children. The <code>TXMResult.clean()</code> methods of this result and children results are applied before the deletion.
 	 * 
 	 * @return
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 599)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 600)
@@ -47,7 +47,7 @@
  * @author sjacquot
  *
  */
-public class ProgressionEditor extends ChartEditorPart {
+public class ProgressionEditor extends ChartEditorPart<Progression> {
 
 	
 	/** The query widgets. */
@@ -484,12 +484,7 @@
 	}
 
 	
-	@Override
-	public Progression getResultData() {
-		return (Progression) super.getResultData();
-	}
 	
-	
 	@Override
 	public void updateResultFromEditor() {
 		
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 599)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 600)
@@ -4,9 +4,6 @@
 import java.awt.GraphicsEnvironment;
 import java.util.ArrayList;
 
-import org.eclipse.core.runtime.IConfigurationElement;
-import org.eclipse.core.runtime.Platform;
-import org.eclipse.jface.preference.ComboFieldEditor;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
@@ -20,7 +17,6 @@
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.IImageKeys;
 
 /**
@@ -39,17 +35,17 @@
 	}
 	
 	@Override
-	protected void checkSubclass() { } // if this method is not defined then te ToolBar cannot be subclassed
+	protected void checkSubclass() { } // if this method is not defined then the ToolBar cannot be subclassed
 	
 	/**
 	 *
 	 * @param parent
 	 * @param style
 	 */
-	public AdvancedChartEditorToolBar(Composite parent, int style, final ChartEditorPart chartEditorPart2) {
+	public AdvancedChartEditorToolBar(Composite parent, int style, final ChartEditorPart chartEditorPart) {
 		super(parent, style); //$NON-NLS-1$
 		
-		this.chartEditorPart = chartEditorPart2;
+		this.chartEditorPart = chartEditorPart;
 		
 		final ToolItem showTitle = new ToolItem(this, SWT.CHECK);
 		//showTitle.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_TITLE);
@@ -57,8 +53,8 @@
 		showTitle.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_title_disabled.png"));
 		showTitle.setToolTipText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_TITLE);
 
-		if(!chartEditorPart2.getResultData().isEmptyPreference(ChartsEnginePreferences.SHOW_TITLE))	{
-			showTitle.setSelection(chartEditorPart2.getResultData().isTitleVisible());
+		if(!chartEditorPart.getResultData().isEmptyPreference(ChartsEnginePreferences.SHOW_TITLE))	{
+			showTitle.setSelection(chartEditorPart.getResultData().isTitleVisible());
 		}
 		// disable if not managed by the command
 		else	{
@@ -72,8 +68,8 @@
 		showLegend.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_legend_disabled.png"));
 		showLegend.setToolTipText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_LEGEND);
 
-		if(!chartEditorPart2.getResultData().isEmptyPreference(ChartsEnginePreferences.SHOW_LEGEND))	{
-			showLegend.setSelection(chartEditorPart2.getResultData().isLegendVisible());
+		if(!chartEditorPart.getResultData().isEmptyPreference(ChartsEnginePreferences.SHOW_LEGEND))	{
+			showLegend.setSelection(chartEditorPart.getResultData().isLegendVisible());
 		}
 		// disable if not managed by the command
 		else	{
@@ -87,8 +83,8 @@
 		showGrid.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_grid_disabled.png"));
 		showGrid.setToolTipText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_GRID);
 		
-		if(!chartEditorPart2.getResultData().isEmptyPreference(ChartsEnginePreferences.SHOW_GRID))	{
-			showGrid.setSelection(chartEditorPart2.getResultData().isGridVisible());
+		if(!chartEditorPart.getResultData().isEmptyPreference(ChartsEnginePreferences.SHOW_GRID))	{
+			showGrid.setSelection(chartEditorPart.getResultData().isGridVisible());
 		}
 		// disable if not managed by the command
 		else	{
@@ -112,8 +108,8 @@
 		renderingModeCombo.pack();
 		renderingComboItem.setWidth(renderingModeCombo.getBounds().width);
 		
-		if(!chartEditorPart2.getResultData().isEmptyPreference(ChartsEnginePreferences.RENDERING_COLORS_MODE))	{
-			renderingModeCombo.select(chartEditorPart2.getResultData().getRenderingColorsMode());
+		if(!chartEditorPart.getResultData().isEmptyPreference(ChartsEnginePreferences.RENDERING_COLORS_MODE))	{
+			renderingModeCombo.select(chartEditorPart.getResultData().getRenderingColorsMode());
 		}
 		// disable if not managed
 		else	{
@@ -122,7 +118,7 @@
 		
 		
 		// Font selection
-		final Font currentFont = ChartsEngine.createFont(chartEditorPart2.getResultData().getFont());
+		final Font currentFont = ChartsEngine.createFont(chartEditorPart.getResultData().getFont());
 		
 		final Combo fontCombo = new Combo(this, SWT.READ_ONLY);
 		String fonts[] = GraphicsEnvironment.getLocalGraphicsEnvironment().getAvailableFontFamilyNames();
@@ -211,29 +207,29 @@
 				boolean update = true;
 				
 				if(e.getSource() == showTitle)	{
-					chartEditorPart2.getResultData().setTitleVisible(showTitle.getSelection());
+					chartEditorPart.getResultData().setTitleVisible(showTitle.getSelection());
 				}
 				else if(e.getSource() == showLegend)	{
-					chartEditorPart2.getResultData().setLegendVisible(showLegend.getSelection());
+					chartEditorPart.getResultData().setLegendVisible(showLegend.getSelection());
 				}
 				else if(e.getSource() == showGrid)	{
-					chartEditorPart2.getResultData().setGridVisible(showGrid.getSelection());
+					chartEditorPart.getResultData().setGridVisible(showGrid.getSelection());
 				}
 				else if(e.getSource() == renderingModeCombo)	{
-					chartEditorPart2.getResultData().setRenderingColorsMode(renderingModeCombo.getSelectionIndex());
+					chartEditorPart.getResultData().setRenderingColorsMode(renderingModeCombo.getSelectionIndex());
 				}
 				else if(e.getSource() == fontCombo || e.getSource() == fontSizeCombo)	{
-					chartEditorPart2.getResultData().setFont("1|" + fontCombo.getItem(fontCombo.getSelectionIndex()) + "|" + fontSizeCombo.getItem(fontSizeCombo.getSelectionIndex()) + "|0");
+					chartEditorPart.getResultData().setFont("1|" + fontCombo.getItem(fontCombo.getSelectionIndex()) + "|" + fontSizeCombo.getItem(fontSizeCombo.getSelectionIndex()) + "|0");
 				}
 				else if(e.getSource() == chartTypeCombo)	{
-					chartEditorPart2.getResultData().setChartType(chartTypeCombo.getItem(chartTypeCombo.getSelectionIndex()));
+					chartEditorPart.getResultData().setChartType(chartTypeCombo.getItem(chartTypeCombo.getSelectionIndex()));
 					update = false;
 				}
 
-				chartEditorPart2.getResultData().setChartDirty();
+				chartEditorPart.getResultData().setChartDirty();
 				
 				// updates or creates chart
-				chartEditorPart2.compute(update);
+				chartEditorPart.compute(update);
 			}
 			
 			@Override
